Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -3059,21 +3084,21 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:504:2: ( ( T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON )? actionBodyParen[result] ( T_SEMICOLON actionBodyParen[result] )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:504:4: ( T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON )? actionBodyParen[result] ( T_SEMICOLON actionBodyParen[result] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:508:2: ( ( T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON )? actionBodyParen[result] ( T_SEMICOLON actionBodyParen[result] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:508:4: ( T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON )? actionBodyParen[result] ( T_SEMICOLON actionBodyParen[result] )*
             {
             result = createSeqBlock(top); pushBlockToResolveStack(result);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:505:3: ( T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON )?
-            int alt50=2;
-            final int LA50_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:509:3: ( T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON )?
+            int alt51=2;
+            final int LA51_0 = input.LA(1);
 
-            if ( (LA50_0==T_VAR) ) {
-                alt50=1;
+            if ( (LA51_0==T_VAR) ) {
+                alt51=1;
             }
-            switch (alt50) {
+            switch (alt51) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:505:4: T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:509:4: T_VAR syms= blockvarlist[result] ( '&' sexpr= expression )? T_COLON
                     {
                     match(input,T_VAR,FOLLOW_T_VAR_in_actionBodySequential2092);
 
@@ -3083,16 +3108,16 @@
                     state._fsp--;
 
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:505:36: ( '&' sexpr= expression )?
-                    int alt49=2;
-                    final int LA49_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:509:36: ( '&' sexpr= expression )?
+                    int alt50=2;
+                    final int LA50_0 = input.LA(1);
 
-                    if ( (LA49_0==116) ) {
-                        alt49=1;
+                    if ( (LA50_0==116) ) {
+                        alt50=1;
                     }
-                    switch (alt49) {
+                    switch (alt50) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:505:37: '&' sexpr= expression
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:509:37: '&' sexpr= expression
                             {
                             match(input,116,FOLLOW_116_in_actionBodySequential2100);
 
@@ -3124,20 +3149,20 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:506:28: ( T_SEMICOLON actionBodyParen[result] )*
-            loop51:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:510:28: ( T_SEMICOLON actionBodyParen[result] )*
+            loop52:
             do {
-                int alt51=2;
-                final int LA51_0 = input.LA(1);
+                int alt52=2;
+                final int LA52_0 = input.LA(1);
 
-                if ( (LA51_0==T_SEMICOLON) ) {
-                    alt51=1;
+                if ( (LA52_0==T_SEMICOLON) ) {
+                    alt52=1;
                 }
 
 
-                switch (alt51) {
+                switch (alt52) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:506:29: T_SEMICOLON actionBodyParen[result]
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:510:29: T_SEMICOLON actionBodyParen[result]
             	    {
             	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_actionBodySequential2123);
 
@@ -3151,7 +3176,7 @@
             	    break;
 
             	default :
-            	    break loop51;
+            	    break loop52;
                 }
             } while (true);
 
@@ -3175,32 +3200,32 @@
 
 
     // $ANTLR start "actionBodyParen"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:512:1: actionBodyParen[SeqBlock top] : ( T_LPAREN actionBody[top] T_RPAREN |stmt= statement );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:516:1: actionBodyParen[SeqBlock top] : ( T_LPAREN actionBody[top] T_RPAREN |stmt= statement );
     public final void actionBodyParen(SeqBlock top) throws RecognitionException {
         Statement stmt =null;
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:513:2: ( T_LPAREN actionBody[top] T_RPAREN |stmt= statement )
-            int alt52=2;
-            final int LA52_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:517:2: ( T_LPAREN actionBody[top] T_RPAREN |stmt= statement )
+            int alt53=2;
+            final int LA53_0 = input.LA(1);
 
-            if ( (LA52_0==T_LPAREN) ) {
-                alt52=1;
+            if ( (LA53_0==T_LPAREN) ) {
+                alt53=1;
             }
-            else if ( (LA52_0==T_ABORT||LA52_0==T_BREAK||LA52_0==T_IDENTIFIER||LA52_0==T_KILL||LA52_0==T_REQUIRES||LA52_0==T_SELF||LA52_0==T_SKIP) ) {
-                alt52=2;
+            else if ( (LA53_0==T_ABORT||LA53_0==T_BREAK||LA53_0==T_IDENTIFIER||LA53_0==T_KILL||LA53_0==T_REQUIRES||LA53_0==T_SELF||LA53_0==T_SKIP) ) {
+                alt53=2;
             }
             else {
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 52, 0, input);
+                    new NoViableAltException("", 53, 0, input);
 
                 throw nvae;
 
             }
-            switch (alt52) {
+            switch (alt53) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:513:5: T_LPAREN actionBody[top] T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:517:5: T_LPAREN actionBody[top] T_RPAREN
                     {
                     match(input,T_LPAREN,FOLLOW_T_LPAREN_in_actionBodyParen2153);
 
@@ -3215,7 +3240,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:514:4: stmt= statement
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:518:4: stmt= statement
                     {
                     pushFollow(FOLLOW_statement_in_actionBodyParen2166);
                     stmt=statement();
@@ -3245,7 +3270,7 @@
 
 
     // $ANTLR start "statement"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:519:1: statement returns [Statement result] : ( T_ABORT | T_SKIP | T_BREAK | T_KILL T_LPAREN aname= ( T_IDENTIFIER | T_SELF ) T_RPAREN |gc= discreteActionBody |aqname= reference ( T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )? | ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )? |) );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:523:1: statement returns [Statement result] : ( T_ABORT | T_SKIP | T_BREAK | T_KILL T_LPAREN aname= ( T_IDENTIFIER | T_SELF ) T_RPAREN |gc= discreteActionBody |aqname= reference ( T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )? | ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )? |) );
     public final Statement statement() throws RecognitionException {
         Statement result = null;
 
@@ -3273,51 +3298,51 @@
         		result = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:525:2: ( T_ABORT | T_SKIP | T_BREAK | T_KILL T_LPAREN aname= ( T_IDENTIFIER | T_SELF ) T_RPAREN |gc= discreteActionBody |aqname= reference ( T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )? | ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )? |) )
-            int alt58=6;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:529:2: ( T_ABORT | T_SKIP | T_BREAK | T_KILL T_LPAREN aname= ( T_IDENTIFIER | T_SELF ) T_RPAREN |gc= discreteActionBody |aqname= reference ( T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )? | ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )? |) )
+            int alt59=6;
             switch ( input.LA(1) ) {
             case T_ABORT:
                 {
-                alt58=1;
+                alt59=1;
                 }
                 break;
             case T_SKIP:
                 {
-                alt58=2;
+                alt59=2;
                 }
                 break;
             case T_BREAK:
                 {
-                alt58=3;
+                alt59=3;
                 }
                 break;
             case T_KILL:
                 {
-                alt58=4;
+                alt59=4;
                 }
                 break;
             case T_REQUIRES:
                 {
-                alt58=5;
+                alt59=5;
                 }
                 break;
             case T_IDENTIFIER:
             case T_SELF:
                 {
-                alt58=6;
+                alt59=6;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 58, 0, input);
+                    new NoViableAltException("", 59, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt58) {
+            switch (alt59) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:525:4: T_ABORT
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:529:4: T_ABORT
                     {
                     match(input,T_ABORT,FOLLOW_T_ABORT_in_statement2194);
 
@@ -3326,7 +3351,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:526:4: T_SKIP
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:530:4: T_SKIP
                     {
                     match(input,T_SKIP,FOLLOW_T_SKIP_in_statement2201);
 
@@ -3335,7 +3360,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:527:4: T_BREAK
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:531:4: T_BREAK
                     {
                     match(input,T_BREAK,FOLLOW_T_BREAK_in_statement2208);
 
@@ -3344,7 +3369,7 @@
                     }
                     break;
                 case 4 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:528:4: T_KILL T_LPAREN aname= ( T_IDENTIFIER | T_SELF ) T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:532:4: T_KILL T_LPAREN aname= ( T_IDENTIFIER | T_SELF ) T_RPAREN
                     {
                     match(input,T_KILL,FOLLOW_T_KILL_in_statement2215);
 
@@ -3369,7 +3394,7 @@
                     }
                     break;
                 case 5 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:529:5: gc= discreteActionBody
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:533:5: gc= discreteActionBody
                     {
                     pushFollow(FOLLOW_discreteActionBody_in_statement2239);
                     gc=discreteActionBody();
@@ -3382,7 +3407,7 @@
                     }
                     break;
                 case 6 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:530:4: aqname= reference ( T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )? | ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )? |)
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:534:4: aqname= reference ( T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )? | ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )? |)
                     {
                     pushFollow(FOLLOW_reference_in_statement2248);
                     aqname=reference();
@@ -3390,17 +3415,17 @@
                     state._fsp--;
 
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:531:7: ( T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )? | ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )? |)
-                    int alt57=3;
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:535:7: ( T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )? | ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )? |)
+                    int alt58=3;
                     switch ( input.LA(1) ) {
                     case T_ASSIGNMENT:
                         {
-                        alt57=1;
+                        alt58=1;
                         }
                         break;
                     case T_COMMA:
                         {
-                        alt57=2;
+                        alt58=2;
                         }
                         break;
                     case T_END:
@@ -3409,20 +3434,20 @@
                     case T_RPAREN:
                     case T_SEMICOLON:
                         {
-                        alt57=3;
+                        alt58=3;
                         }
                         break;
                     default:
                         final NoViableAltException nvae =
-                            new NoViableAltException("", 57, 0, input);
+                            new NoViableAltException("", 58, 0, input);
 
                         throw nvae;
 
                     }
 
-                    switch (alt57) {
+                    switch (alt58) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:532:12: T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )?
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:536:12: T_ASSIGNMENT aexp= expression ( T_WITH ndexp= expression )?
                             {
                             match(input,T_ASSIGNMENT,FOLLOW_T_ASSIGNMENT_in_statement2276);
 
@@ -3434,16 +3459,16 @@
 
                             result = createSingleAssignmentStatement(aqname,aexp);
 
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:533:15: ( T_WITH ndexp= expression )?
-                            int alt53=2;
-                            final int LA53_0 = input.LA(1);
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:537:15: ( T_WITH ndexp= expression )?
+                            int alt54=2;
+                            final int LA54_0 = input.LA(1);
 
-                            if ( (LA53_0==T_WITH) ) {
-                                alt53=1;
+                            if ( (LA54_0==T_WITH) ) {
+                                alt54=1;
                             }
-                            switch (alt53) {
+                            switch (alt54) {
                                 case 1 :
-                                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:533:16: T_WITH ndexp= expression
+                                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:537:16: T_WITH ndexp= expression
                                     {
                                     match(input,T_WITH,FOLLOW_T_WITH_in_statement2301);
 
@@ -3464,25 +3489,25 @@
                             }
                             break;
                         case 2 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:536:8: ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )?
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:540:8: ( T_COMMA malhs= reference )+ T_ASSIGNMENT mexp= expression ( T_COMMA mexp2= expression )+ ( T_WITH ndex2= expression )?
                             {
                             result = createMultipleAssignmentStatementLHS(aqname);
 
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:537:7: ( T_COMMA malhs= reference )+
-                            int cnt54=0;
-                            loop54:
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:541:7: ( T_COMMA malhs= reference )+
+                            int cnt55=0;
+                            loop55:
                             do {
-                                int alt54=2;
-                                final int LA54_0 = input.LA(1);
+                                int alt55=2;
+                                final int LA55_0 = input.LA(1);
 
-                                if ( (LA54_0==T_COMMA) ) {
-                                    alt54=1;
+                                if ( (LA55_0==T_COMMA) ) {
+                                    alt55=1;
                                 }
 
 
-                                switch (alt54) {
+                                switch (alt55) {
                             	case 1 :
-                            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:537:8: T_COMMA malhs= reference
+                            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:541:8: T_COMMA malhs= reference
                             	    {
                             	    match(input,T_COMMA,FOLLOW_T_COMMA_in_statement2358);
 
@@ -3498,12 +3523,12 @@
                             	    break;
 
                             	default :
-                            	    if ( cnt54 >= 1 ) break loop54;
+                            	    if ( cnt55 >= 1 ) break loop55;
                                         final EarlyExitException eee =
-                                            new EarlyExitException(54, input);
+                                            new EarlyExitException(55, input);
                                         throw eee;
                                 }
-                                cnt54++;
+                                cnt55++;
                             } while (true);
 
 
@@ -3519,21 +3544,21 @@
 
                             addMutlipleAssignmentStatementRHS(result,mexp);
 
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:542:8: ( T_COMMA mexp2= expression )+
-                            int cnt55=0;
-                            loop55:
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:546:8: ( T_COMMA mexp2= expression )+
+                            int cnt56=0;
+                            loop56:
                             do {
-                                int alt55=2;
-                                final int LA55_0 = input.LA(1);
+                                int alt56=2;
+                                final int LA56_0 = input.LA(1);
 
-                                if ( (LA55_0==T_COMMA) ) {
-                                    alt55=1;
+                                if ( (LA56_0==T_COMMA) ) {
+                                    alt56=1;
                                 }
 
 
-                                switch (alt55) {
+                                switch (alt56) {
                             	case 1 :
-                            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:542:9: T_COMMA mexp2= expression
+                            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:546:9: T_COMMA mexp2= expression
                             	    {
                             	    match(input,T_COMMA,FOLLOW_T_COMMA_in_statement2418);
 
@@ -3549,25 +3574,25 @@
                             	    break;
 
                             	default :
-                            	    if ( cnt55 >= 1 ) break loop55;
+                            	    if ( cnt56 >= 1 ) break loop56;
                                         final EarlyExitException eee =
-                                            new EarlyExitException(55, input);
+                                            new EarlyExitException(56, input);
                                         throw eee;
                                 }
-                                cnt55++;
+                                cnt56++;
                             } while (true);
 
 
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:543:8: ( T_WITH ndex2= expression )?
-                            int alt56=2;
-                            final int LA56_0 = input.LA(1);
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:547:8: ( T_WITH ndex2= expression )?
+                            int alt57=2;
+                            final int LA57_0 = input.LA(1);
 
-                            if ( (LA56_0==T_WITH) ) {
-                                alt56=1;
+                            if ( (LA57_0==T_WITH) ) {
+                                alt57=1;
                             }
-                            switch (alt56) {
+                            switch (alt57) {
                                 case 1 :
-                                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:543:9: T_WITH ndex2= expression
+                                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:547:9: T_WITH ndex2= expression
                                     {
                                     match(input,T_WITH,FOLLOW_T_WITH_in_statement2436);
 
@@ -3588,7 +3613,7 @@
                             }
                             break;
                         case 3 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:546:7:
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:550:7:
                             {
                             result = createCallStatement(aqname);
 
@@ -3622,7 +3647,7 @@
 
 
     // $ANTLR start "expression"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:557:1: expression returns [Expression expr] : left= atomExpression (op= binoperator right= atomExpression )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:561:1: expression returns [Expression expr] : left= atomExpression (op= binoperator right= atomExpression )* ;
     public final Expression expression() throws RecognitionException {
         Expression expr = null;
 
@@ -3639,8 +3664,8 @@
         		final ArrayList<Expression> expressions = new ArrayList<Expression>();
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:563:2: (left= atomExpression (op= binoperator right= atomExpression )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:563:4: left= atomExpression (op= binoperator right= atomExpression )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:567:2: (left= atomExpression (op= binoperator right= atomExpression )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:567:4: left= atomExpression (op= binoperator right= atomExpression )*
             {
             pushFollow(FOLLOW_atomExpression_in_expression2515);
             left=atomExpression();
@@ -3650,20 +3675,20 @@
 
             expressions.add(left);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:565:3: (op= binoperator right= atomExpression )*
-            loop59:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:569:3: (op= binoperator right= atomExpression )*
+            loop60:
             do {
-                int alt59=2;
-                final int LA59_0 = input.LA(1);
+                int alt60=2;
+                final int LA60_0 = input.LA(1);
 
-                if ( (LA59_0==T_AND||LA59_0==T_BIIMPLIES||LA59_0==T_CONC||LA59_0==T_DIFF||LA59_0==T_DIV||(LA59_0 >= T_DOMRESBY && LA59_0 <= T_DOMRESTO)||LA59_0==T_EQUAL||(LA59_0 >= T_GREATER && LA59_0 <= T_GREATEREQUAL)||LA59_0==T_IDIV||(LA59_0 >= T_IMPLIES && LA59_0 <= T_IN)||LA59_0==T_INTER||(LA59_0 >= T_LESS && LA59_0 <= T_LESSEQUAL)||(LA59_0 >= T_MINUS && LA59_0 <= T_MUNION)||(LA59_0 >= T_NOT && LA59_0 <= T_NOTEQUAL)||LA59_0==T_OR||LA59_0==T_POW||LA59_0==T_PROD||(LA59_0 >= T_RNGRESBY && LA59_0 <= T_RNGRESTO)||LA59_0==T_SEQMOD_MAPOVERRIDE||(LA59_0 >= T_SUBSET && LA59_0 <= T_SUM)||LA59_0==T_UNION) ) {
-                    alt59=1;
+                if ( (LA60_0==T_AND||LA60_0==T_BIIMPLIES||LA60_0==T_CONC||LA60_0==T_DIFF||LA60_0==T_DIV||(LA60_0 >= T_DOMRESBY && LA60_0 <= T_DOMRESTO)||LA60_0==T_EQUAL||(LA60_0 >= T_GREATER && LA60_0 <= T_GREATEREQUAL)||LA60_0==T_IDIV||(LA60_0 >= T_IMPLIES && LA60_0 <= T_IN)||LA60_0==T_INTER||(LA60_0 >= T_LESS && LA60_0 <= T_LESSEQUAL)||(LA60_0 >= T_MINUS && LA60_0 <= T_MUNION)||(LA60_0 >= T_NOT && LA60_0 <= T_NOTEQUAL)||LA60_0==T_OR||LA60_0==T_POW||LA60_0==T_PROD||(LA60_0 >= T_RNGRESBY && LA60_0 <= T_RNGRESTO)||LA60_0==T_SEQMOD_MAPOVERRIDE||(LA60_0 >= T_SUBSET && LA60_0 <= T_SUM)||LA60_0==T_UNION) ) {
+                    alt60=1;
                 }
 
 
-                switch (alt59) {
+                switch (alt60) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:565:5: op= binoperator right= atomExpression
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:569:5: op= binoperator right= atomExpression
             	    {
             	    pushFollow(FOLLOW_binoperator_in_expression2528);
             	    op=binoperator();
@@ -3688,7 +3713,7 @@
             	    break;
 
             	default :
-            	    break loop59;
+            	    break loop60;
                 }
             } while (true);
 
